package chess4j.attack;

import chess4j.Color;
import chess4j.board.Board;
import chess4j.board.Square;

public interface Attack {

	/*public class Locator {
		public static Attack getInstance() {
			return AttackImpl.getInstance();
		}
	}*/
	
	public boolean attacked(Board board,Square sq,Color player);
}
